#
# spec file for package nedit (Version 5.3)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  automake openmotif openmotif-devel update-desktop-files x-devel-packages yacc
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs autoconf automake binutils cracklib fontconfig fontconfig-devel gcc gdbm gettext libtool openmotif openmotif-devel openmotif-libs perl rpm update-desktop-files yacc

Name:         nedit
License:      GPL
Group:        Productivity/Editors/Other
Provides:     nc
Autoreqprov:  on
Version:      5.3
Release:      235
Summary:      Full featured, plain text Nirvana editor
URL:          http://nedit.org/
Source0:      nedit-%{version}-source.tar.bz2
Source1:      contrib-20020715.tar.bz2
Patch0:       nedit-%{version}-source.patch
Patch1:       nedit-%{version}-source-pref.patch
Patch2:       nedit-%{version}-source-backlight.patch
Patch3:       nedit-%{version}-source-xpm.patch
Patch4:       nedit-%{version}-source-strings.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
NEdit is a GUI style plain text editor for workstations with the X
Window System and Motif. NEdit provides all of the standard menu,
dialog, editing, mouse support, macro extension language, syntax
highlighting, and a lot other nice features (and extensions for
programmers).



Authors:
--------
    Mark Edel <edel@fnal.gov>

%prep
%setup -q -a 1
%patch0
%patch1
%patch2
%patch3
%patch4
#
# untar nedit3d.xpm icon from contrib
tar xf contrib/misc/icons.tar nedit3d.xpm

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" \
     LDFLAGS="-L/usr/X11R6/%{_lib}" \
     linux

%install
rm -rf $RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT/usr/bin/
install -m 755 -d $RPM_BUILD_ROOT/%_mandir/man1/
install -m 755 source/nedit $RPM_BUILD_ROOT/usr/bin/
install -m 755 source/nc    $RPM_BUILD_ROOT/usr/bin/
install -m 644 doc/nc.man    $RPM_BUILD_ROOT/%_mandir/man1/nc.1
install -m 644 doc/nedit.man $RPM_BUILD_ROOT/%_mandir/man1/nedit.1
%suse_update_desktop_file -i %name TextEditor

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc contrib COPYRIGHT README* ReleaseNotes 
%doc doc/NEdit.ad doc/faq.txt doc/nedit.doc doc/nedit.html
%doc %_mandir/man1/*
/usr/bin/*
/usr/share/applications/*.desktop

%changelog -n nedit
* Sat Aug 16 2003 - adrian@suse.de
- add desktop file from kappfinder
* Mon Nov 11 2002 - pmladek@suse.cz
- fixed multiline string literals (for new gcc-3.3)
* Wed Sep 18 2002 - ro@suse.de
- removed bogus self-provides
* Mon Jul 15 2002 - pmladek@suse.cz
- updated to version 2.5.3 [#16990]:
  * the built-in Help system was revamped
  * enhanced Exuberant ctags support
  * line numbers are available in shell commands
  * goto Line also accepts column numbers
  * automatic line-feed termination when saving is now optional
  * customizable window title
  * optional syntax based parenthesis matching
  * and many bug fixes
- removed obsolete patch which fixed problem with unicode fonts
- sorted patches
- updated contrib package
- fixed documentation list of files
* Wed Mar 20 2002 - pmladek@suse.cz
- fixed default fonts to avoid unicode fonts [#15175]
- in addition iso8859-2 font is selected correctly for related
  locales now
* Fri Jan 25 2002 - pmladek@suse.cz
- used macro %%{_lib} to fix for lib64
* Tue Dec 04 2001 - pmladek@suse.cz
- updated on version 5.2:
  * added built-in patterns for CSS, XML, and regular expressions
  * new features in the find and replace dialogs
  * many new macro subroutines and variables
  * array support in macros
  * range highlighting of matching delimiters
  * undo and redo highlights the text that has changed, when visible
  * support for wheel mouse scrolling
  * improved accelerator key handling
  * insert Control Code dialog accepts value in any valid C notation
  * additional default search styles
  * many bug fixes
- removed obsolete patches
* Tue Jul 17 2001 - pmladek@suse.cz
- fixed relative paths in save and load dialog (bug #9388)
  * patch from nedit developers
* Mon Jun 04 2001 - pmladek@suse.cz
- fixed to run on ia64:
  * fixed last parametr of functions XtVa*  (bug #8612)
* Fri May 18 2001 - cihlar@suse.cz
- fixed cast warnings on ia64
* Tue Apr 24 2001 - cihlar@suse.cz
- fixede security patch
* Wed Apr 11 2001 - cihlar@suse.cz
- added security patch
* Mon Feb 12 2001 - cihlar@suse.cz
- statistics line enabled by default
- larger fonts by default
- delete key does delete, not backspace
* Thu Nov 09 2000 - cihlar@suse.cz
- uses openmotif now
* Mon Oct 30 2000 - cihlar@suse.cz
- bzipped sources
- fixed suse patch [#4215]
* Wed May 17 2000 - cihlar@suse.cz
- Group sorted
* Mon Mar 27 2000 - cihlar@suse.cz
- upgrade to version 5.1.1
* Wed Mar 22 2000 - cihlar@suse.cz
- clean up spec file
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Aug 05 1999 - uli@suse.de
- disabled optimizations for AXP
* Tue Jul 20 1999 - mt@suse.de
- added -DUSE_XMIM
* Mon Jul 19 1999 - mt@suse.de
- removed app-default file; Del-key is patched in as fallback
  resource, so it works correctly also without app-default.
* Mon Jul 12 1999 - uli@suse.de
- now builds with lesstif
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Sat Feb 27 1999 - mt@suse.de
- patched in default del-key behaviour, better app-default (not
  really needed, since its patched in...)
* Sun Dec 13 1998 - bs@suse.de
- made a dynamic and a static version of nc againe.
* Fri Nov 27 1998 - bs@suse.de
- fixed path for app-defaults
* Sun Nov 15 1998 - mt@suse.de
- added backlight feature and any highlight_pats
- added color xpm icon support (and pixmap deletion)
- fixed app-defaults (delete-next-character doesn't work propelly)
  and added Ctrl+S / Save acceletator
- removed Makefile.Linux
* Mon Jun 29 1998 - mt@suse.de
- added app-default file with delete-next-character() override
- new version 5.0.2
- added html-docu and replaced man page with one from contrib dir
* Thu May 07 1998 - fehr@suse.de 
- add library -lXp for Motif 2.1
* Mon Feb 16 1998 - ro@suse.de (again)
* Wed Feb 11 1998 - mt@suse.de
- new version 5.0.1
* Tue Dec 09 1997 - ro@suse.de
- build static and dynamic version
* Sat Oct 25 1997 - mt@suse.de
- new version 5.0
* Sat Sep 13 1997 - mt@suse.de
- new version 4.0.3
